Referencepublic
List a public skill's versions
Path Parameters
ownerHandle*string
Length
length <= 64slug*string
Length
length <= 64name*string
Match
^[a-z0-9]+(?:-[a-z0-9]+)*$Length
1 <= length <= 64Query Parameters
cursor?string
Length
1 <= length <= 4096limit?integer
Range
1 <= value <= 100Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/public/registries/string/string/skills/string/versions"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "version": "string", "sizeBytes": 0, "fileCount": 0, "publishedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "handle": "string", "displayName": "string", "avatarUrl": "string" }, "publishedAt": "2019-08-24T14:15:22Z", "scanStatus": "pending", "yanked": { "at": "2019-08-24T14:15:22Z", "reason": "string" }, "structuralWarnings": [] } ], "nextCursor": "string"}{ "defined": true, "code": "NOT_FOUND", "status": 404, "message": "The requested resource does not exist.", "data": { "resource": "string" }}{ "defined": true, "code": "VALIDATION", "status": 422, "message": "The input failed domain validation.", "data": { "issues": [ { "path": "string", "message": "string" } ] }}{ "defined": true, "code": "RATE_LIMITED", "status": 429, "message": "Rate limit exceeded; retry later.", "data": { "retryAfterSeconds": -9007199254740991 }}